<?php

declare(strict_types=1);

namespace App\Filament\Resources\Menus\Schemas;

use Filament\Schemas\Components\Section;
use Filament\Schemas\Schema;

class MenuForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema->components([
            Section::make('منو')
                ->schema([
                    \App\Filament\Components\Form\TitleTextInput::create()->required()->columnSpan(6),
                    \App\Filament\Components\Form\UrlTextInput::create()->columnSpan(6),
                    \App\Filament\Components\Form\OrderIdTextInput::create()->columnSpan(4),
                    \App\Filament\Components\Form\ParentSelect::create()->columnSpan(4),
                    \App\Filament\Components\Form\CategorySelect::create()->columnSpan(4),
                    \App\Filament\Components\Form\IconFileUpload::create()->columnSpan(12),
                    \App\Filament\Components\Form\CreatedBySelect::create()->required(),
                    \App\Filament\Components\Form\UpdatedBySelect::create(),
                ])
                ->columns(12)
                ->columnSpan(12),
        ])
            ->columns(12);
    }
}
